### Method

# Gtk ComboBox set_model

#### Declaration [src]

    void
    gtk_combo_box_set_model (
      GtkComboBox* combo_box,
      GtkTreeModel* model
    )

#### Description [src]

Sets the model used by `combo_box` to be `model`.

Will unset a previously set model (if applicable). If model is `NULL`, then it will unset the model.

Note that this function does not clear the cell renderers, you have to call gtk_cell_layout_clear() yourself if you need to set up different cell renderers for the new model.

Sets property | `Gtk.ComboBox:model`

#### Parameters

`model` | `GtkTreeModel`
| A `GtkTreeModel`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.